// creator  : weidu.exe (version 23600)
// argument : MTOB2.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~MTOB2~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #7503 /* ~Hey, there, friend. So what 'ave you come to the Low Lantern for? Gamblin' or festin'?~ */
  IF ~~ THEN REPLY #7508 /* ~We've come to try our luck in the gambling pits. We just hope Tymora smiles down at us.~ */ GOTO 1
  IF ~~ THEN REPLY #7509 /* ~We'd heard a lot about what goes on here, and just thought we'd have a look for ourselves.~ */ GOTO 2
  IF ~~ THEN REPLY #7510 /* ~None of your concern.~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #7504 /* ~Ha ha. Tymora's not been kind to me this night, hopefully she'll be nicer to you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #7505 /* ~They're a sumptuous lot. There's a brunette named Tyla; I'd swear she was the goddess of love. It's too bad that's she's out of town now, I really miss her company.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #7506 /* ~No need to get all ruffled up.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 5 even though they appear after this state */
~  !StateCheck(Myself,STATE_CHARMED)
CheckStatGT(Myself,0,GOLD)
~ THEN BEGIN 4 // from:
  SAY #7507 /* ~Hope ye're havin' a great <DAYNIGHTALL>. I sure am.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~  StateCheck(Myself,STATE_CHARMED)
CheckStatGT(Myself,0,GOLD)
~ THEN BEGIN 5 // from:
  SAY #7511 /* ~I've been doing rather badly in my gambling, so how 'bout I give you this gold piece ta start off yer night. Hopefully Tymora's luck will be with you.~ */
  IF ~~ THEN DO ~GivePartyGold(1)
~ EXIT
END

IF WEIGHT #3 ~  True()
~ THEN BEGIN 6 // from:
  SAY #9180 /* ~Get out of my sight! I'll do nothing for you!~ */
  IF ~~ THEN EXIT
END
